<?php

/*

 $Id: show_admin_options.inc,v 1.4 2004/02/05 21:20:07 vollmerk Exp $
 $Source: /data/cvsroot/maintain/templates/show_admin_options.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
        @header Show Admin Options Template
	Show a listing of the DHCP options in maintain

*/

?>
<p class="header2">Viewing DHCP Options</p>
<?
$items = array();
$link = $conf['web_path'] . "/option.php?action=show_create_admin_option";
$items[] = "<a href=\"$link\">Add a new DHCP Option</a>";
$conf['ui']->display_top_widget($items);

show_template('tborder'); 
$conf['ui']->show_list_header($total_items);
?>

<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr align="center" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
    		<td title="<? $conf['help']->title('option_name'); ?>">
			<a href="<?= $conf['script']; ?>?action=<?= $conf['action']; ?>&amp;sort_type=name">DHCP Option</a>
			<? if ($user->view->sort_type == 'name') { $conf['ui']->show_arrow(); } ?>
		</td>
                <td title="<? $conf['help']->title('option_type'); ?>">
			<a href="<?= $conf['script']; ?>?action=<?= $conf['action']; ?>&amp;sort_type=type">Option Type</a>
			<? if ($user->view->sort_type == 'type') { $conf['ui']->show_arrow(); } ?>	
		</td>
		<td title="<? $conf['help']->title('option_access'); ?>">
			<a href="<?= $conf['script']; ?>?action=<?= $conf['action']; ?>&amp;sort_type=access">Access Level</a>
			<? if ($user->view->sort_type == 'access') { $conf['ui']->show_arrow(); } ?>	
		</td>
		<td title="<? $conf['help']->title('option_custom'); ?>">
			<a href="<?= $conf['script']; ?>?action=<?= $conf['action']; ?>&amp;sort_type=custom">Custom?</a>
			<? if ($user->view->sort_type == 'custom') { $conf['ui']->show_arrow(); } ?>	
		</td>
		<td title="<? $conf['help']->title('option_custom_value'); ?>">
			<a href="<?= $conf['script']; ?>?action=<?= $conf['action']; ?>&amp;sort_type=value">Custom Value</a>
			<? if ($user->view->sort_type == 'value') { $conf['ui']->show_arrow(); } ?>	
		</td>
		<td title="<? $conf['help']->title('status'); ?>">
			<a href="<?= $conf['script']; ?>?action=<?= $conf['action']; ?>&amp;sort_type=enabled">Status</a>
			<? if ($user->view->sort_type == 'enabled') { $conf['ui']->show_arrow(); } ?>
		</td>
		<td>Action</td>
	</tr>

<?
if (count($options)) { 
foreach ($options as $option) {
?>
	<tr align="center" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td><? $conf['ui']->display_field($option->name); ?></td>
		<td><? $conf['ui']->display_field($option->type); ?></td>
		<td><? $conf['ui']->display_field($option->access); ?></td>
		<td><? $conf['ui']->display_field($conf['ui']->show_status($option->custom)); ?></td>
		<td><? $conf['ui']->display_field($option->value); ?></td>
		<td><? $conf['ui']->display_field($conf['ui']->show_status($option->enabled)); ?></td>
		<td>
			<? if ($action != 'view') { ?>
			<a href="<?= $conf['web_path']; ?>/option.php?action=show_admin_option&amp;option_id=<?= $option->id; ?>">Edit</a> |
			<a href="<?= $conf['web_path']; ?>/option.php?action=enabled_admin&amp;option_id=<?= $option->id; ?>">
				<? if ($option->enabled) { echo "Disable"; } else { echo "Enable"; } ?>
			</a> | 
			<a href="<?= $conf['web_path']; ?>/option.php?action=confirm_admin_delete&amp;option_id=<?=  $option->id; ?>">Delete</a>
			<? } else { ?>
			No Actions
			<? } ?>
		</td>
	</tr>
<?
} // foreach

} // if there are options

else {
?>
	<tr align="center" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td colspan="5" class="fatalerror">No DHCP Options Found</td>
	</tr>
<?
} // else no options there
?>

</table>

<?

$conf['ui']->show_list_header($total_items);
show_template('bborder'); 
?>

