<?php

/*

 $Id: show_workgroup.inc,v 1.21 2004/02/11 21:59:44 vollmerk Exp $
 $Source: /data/cvsroot/maintain/templates/show_workgroup.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Show Workgroup Template
	Show a single workgroup

*/

$zones = $user->get_zones_select();
if (!$name) { $name = $workgroup->name; }
?>

<p class="header2">
<? if ( $action == 'show_create' ) { ?>
	Create a new Workgroup
<? } else { ?>
	Update a Workgroup
<? } ?>
</p>

<? if ( $conf['error']->get_status('workgroup_top') ) { ?>
<p><? $conf['error']->show_message('workgroup_top'); ?></p>
<? } ?>

<? 
$items = array();
if ( $action != 'show_create' ) { 
	$items[] = "<a href=\"" . $conf['web_path'] . "/option.php?action=show_options&amp;type=workgroup&amp;object_id=$workgroup->id\">View DHCP Options for this Workgroup</a>";
	$items[] = "<a href=\"" . $conf['web_path'] . "/workgroup.php?action=show_crate\">Create New Workgroup</a>";
}
$items[] = "<a href=\"" . $conf['web_path'] . "/workgroup.php?action=show_workgroups\">View all workgroups</a>";
$conf['ui']->display_top_widget($items);
?>

<form name="edit_workgroup" enctype="multipart/form-data" method="post" action="<?= $conf['web_path']; ?>/workgroup.php" style="Display:inline">
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%" bgcolor="<?=  $conf['light_bgcolor']?>">
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" width="100%">
	<td title="<? $conf['help']->title('workgroup_name'); ?>">Name: </td>
        <td><input name="name" value="<?=  $name ?>" size="30" maxlength="255" />
	<? $conf['error']->show_message('name'); ?>
        </td>
</tr>
<? if ($action == 'show_create') { ?>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td title="<? $conf['help']->title('zone'); ?>">Initial Zone: </td>
	<td>
	<?
		$zones = $conf['ui']->get_zones("SELECT * FROM zone ORDER BY name");
		$conf['ui']->show_zone_select($zones,$workgroup->zone->id);
	?>
	</td>
</tr>
<? } ?>
	
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td>&nbsp;</td>
		<td>
		<? if ( $action == 'show_create' ) { ?>
			<input type="submit" name="action" value="Create" />&nbsp;&nbsp;
		<? } else { ?>
			<input type="submit" name="action" value="Update" />
			<input type="submit" name="action" value="Delete" />
			<input type="hidden" name="workgroup_id" value="<?=  $workgroup->id ?>" />&nbsp;&nbsp;
		<? } ?>
			<input type="submit" name="action" value="Cancel" />
		</td>
	</tr>
</table>
</form>

<? show_template('bborder'); ?>

<?
if ($action != 'show_create') {
	$conf['ui']->show_workgroup_zones($workgroup);
	$options = $workgroup->get_options();
	if ($options) { $conf['ui']->show_options(0,"workgroup",$workgroup->id,$options); }
}
?>
