<?php

/*

 $Id: show_workgroups.inc,v 1.18 2004/06/25 03:49:32 philips Exp $
 $Source: /data/cvsroot/maintain/templates/show_workgroups.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Display Many Workgroups Template
	Show a listing of the $workgroups (an array of Workgroup objects)

*/

// So this is a cheezy way of doing this... aka not the right way..
if ($_REQUEST['zone_id']) {
	$sql = "SELECT count(*) FROM zone_workgroup WHERE zone='" . $_REQUEST['zone_id'] . "'";
}
elseif ($user->is_admin) {
	$sql = "SELECT count(*) FROM workgroup";
}


?>

<p class="header2">Viewing All Workgroups&nbsp;</p>

<?
if ($user->is_admin) { 
	$items = array();
	$items[] = "<a href=\"" . $conf['web_path'] . "/workgroup.php?action=show_create\">Create New Workgroup</a>";
$conf['ui']->display_top_widget($items);
}
?>

<?
if ( $user->view->limit ) {
	if ($_REQUEST['search_field']) { $workgroup_count = count($workgroups); }
	else { 
		$db_result = mysql_query($sql, $conf['dbh']);
		$results = mysql_fetch_array($db_result);
		$workgroup_count = $results[0]; 
	}
	$conf['ui']->show_list_header($workgroup_count);
}

if ($workgroup_count) { 
	show_template('tborder'); 
?>

<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr align="center" bgcolor="<?= $conf['color']->bg['body_dark']; ?>">
    		<td>
		<a href="<?= $conf['script'] ?>?action=show_workgroups&sort_type=name&zone_id=<?= $_REQUEST['zone_id']?>" title="<? $conf['help']->title('workgroup'); ?>">Name</a>
		<? if ($user->view->sort_type == "name") { $conf['ui']->show_arrow(); } ?>
		</td>
    		<td>
		Zone(s)
		</td>
                <td>Action</td>
	</tr>

<?

foreach ($workgroups as $workgroup) {

?>
	<tr align="center" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td><? $conf['ui']->display_field($workgroup->name); ?></td>
		<td>
		<?
			$zones = $workgroup->get_zones();
			if (count($zones) === 1) {
				echo $zones[0]->name;	
			}
			elseif (count($zones) === 0) {
				echo "No Zones";
			}
			else {
				$conf['ui']->show_zone_select($zones);
			}
		?>
		</td>
		<td>
		<? if ($user->is_admin) { ?>
			<a href="<?= $conf['web_path']; ?>/workgroup.php?action=edit&workgroup_id=<?= $workgroup->id ?>">Edit</a> |
			<a href="<?= $conf['web_path']; ?>/workgroup.php?action=confirm_delete&workgroup_id=<?= $workgroup->id ?>">Delete</a> |
		<? } ?>
		<? if ($user->is_admin || $user->has_access($conf['zone']->id) >= 50) { ?>
			<a href="<?= $conf['web_path']; ?>/option.php?action=show_options&object_id=<?= $workgroup->id ?>&type=workgroup">Options</a>
		<? } ?>
	
		</td>
	</tr>
<?
} // foreach
?>

</table>

<?

if ( $user->view->limit ) {
	$conf['ui']->show_list_header($workgroup_count);
}
show_template('bborder'); 


} // end if total_workgroups
else {
	echo "<p align=\"center\" class=\"fatalerror\">No workgroups Found</p>";
}
?>


