<?php

/*

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 $Id: show_zone_history.inc,v 1.1 2003/10/07 21:20:40 vollmerk Exp $
 $Source: /data/cvsroot/maintain/templates/show_zone_history.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
/*!
	@header Showing Zone History
	This page shows the history for the specified zone
	it shows all deletions and modifications made to objects in this zone

*/

// Setup the zone
$zone = new Zone($zone_id);
$history = $zone->object_history->get_zone_history();

// Next we need to start displaying the information, let's first show a list of the objects in 
// this zone that have updates


// First let's do the deletions...
if ($history->delete) { 
	show_template('tborder'); 
?>
<table border="0" cellpadding="3" cellspacing="0" width="100%">
<tr>
	<td class="widget-title" colspan="3">Deleted Records</td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" >
	<td>Username</td>
	<td>Date</td>
	<td>Comment</td>
</tr>
<? foreach ($history->delete as $deleted) { ?>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td><? $conf['ui']->display_field($deleted->username); ?></td>
		<td><? $conf['ui']->display_field(date("m/d/y \a\\t H:i:s",$deleted->date)); ?></td>
		<td><? $conf['ui']->display_field($deleted->comment); ?></td>
	</tr>
<? } ?>
</table>
<? show_template('bborder'); ?>
<br /><br />
<? } ?>
<? if ($history->host) {
	show_template('tborder');
?>
<table border="0" cellpadding="3" cellspacing="0" width="100%">
<tr>
	<td class="widget-title" colspan="4">Host Updates</td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td>Username</td>
	<td>Date</td>
	<td>Comment</td>
	<td>Hostname</td>
</tr>
<? foreach ($history->host as $host) { ?>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td><? $conf['ui']->display_field($host->history->username); ?></td>
		<td><? $conf['ui']->display_field(date("m/d/y \a\\t H:i:s",$host->history->date)); ?></td>
		<td><? $conf['ui']->display_field($host->history->comment); ?></td>
		<td><? $conf['ui']->display_field($host->hostname . "(" . $host->full_ha . ")"); ?></td>
	</tr>
<? } ?>
</table>
<? show_template('bborder'); ?>
<br /><br />
<? } ?>
<? if ($history->cnames) {
	show_template('tborder');
?>
<table border="0" cellpadding="3" cellspacing="0" width="100%">
<tr>
	<td class="widget-title" colspan="4">CNAME Updates</td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td>Username</td>
	<td>Date</td>
	<td>Comment</td>
	<td>CNAME --&gt; Server</td>
</tr>
<? foreach ($history->cnames as $cname) { ?>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td><? $conf['ui']->display_field($cname->history->username); ?></td>
		<td><? $conf['ui']->display_field(date("m/d/y \a\\t H:i:s", $cname->history->date)); ?></td>
		<td><? $conf['ui']->display_field($cname->history->comment); ?></td>
		<td><? $conf['ui']->display_field($cname->hostname . " --&gt; " . $cname->server); ?></td>
	</tr>
<? } ?>


</table>
<? show_template('bborder'); ?>
<br /><br />
<? } ?>
<? if ($history->mxs) { 
	show_template('tborder'); 
?>
<table border="0" cellpadding="3" cellspacing="0" width="100%">
<tr>
	<td class="widget-title" colspan="4">MX Record Updates</td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td>Username</td>
	<td>Date</td>
	<td>Comment</td>
	<td>MX Record --&gt; Server</td>
</tr>
<? foreach ($history->mxs as $mx) { ?>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td><? $conf['ui']->display_field($mx->history->username); ?></td>
		<td><? $conf['ui']->display_field(date("m/d/y \a\\t H:i:s", $mx->history->date)); ?></td>
		<td><? $conf['ui']->display_field($mx->history->comment); ?></td>
		<td><? $conf['ui']->display_field($mx->hostname . " --&gt; " . $mx->server); ?></td>
	</tr>
<? } ?>
</table>
<? show_template('bborder'); ?>
<br /><br />
<? } ?>
